Changeset 13698 for trunk


Ignore:
Timestamp:
2007-01-19T14:44:13+13:00 (17 years ago)
Author:
kjdon
Message:

now provides a --with-unac arg, default is ../packages/unac

Location:
trunk/indexers/mgpp
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/indexers/mgpp/configure

    r13625 r13698  
    310310#endif"
    311311
    312 ac_subdirs_all="$ac_subdirs_all packages/unac"
    313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION ENABLE_ACCENTFOLD CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION ENABLE_ACCENTFOLD CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR UNAC_DIR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS LTLIBOBJS'
    314313ac_subst_files=''
    315314
     
    862861  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    863862  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     863  --with-unac=dir         Use local unac library and headers
    864864  --with-dmalloc          use dmalloc, as in
    865865                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    42204220
    42214221
     4222
     4223# Check whether --with-unac or --without-unac was given.
     4224if test "${with_unac+set}" = set; then
     4225  withval="$with_unac"
     4226  UNAC_DIR=$withval
     4227else
     4228  UNAC_DIR="`pwd`/../packages/unac"
     4229fi;
     4230cat >>confdefs.h <<_ACEOF
     4231#define UNAC_DIR "$UNAC_DIR"
     4232_ACEOF
     4233
     4234
     4235
     4236
    42224237if test "$ac_cv_prog_cc_stdc" = '-Xc'; then
    42234238cat >conftest.$ac_ext <<_ACEOF
     
    76557670
    76567671# ---------------------------------------------------------------------------
    7657 
    7658 
    7659 
    7660 subdirs="$subdirs packages/unac"
    7661 
    76627672
    76637673                                                  ac_config_files="$ac_config_files Makefile text/Makefile lib/Makefile jni/Makefile java/org/greenstone/mgpp/Makefile"
     
    83098319s,@U@,$U,;t t
    83108320s,@ANSI2KNR@,$ANSI2KNR,;t t
     8321s,@UNAC_DIR@,$UNAC_DIR,;t t
    83118322s,@ALLOCA@,$ALLOCA,;t t
    83128323s,@LIBOBJS@,$LIBOBJS,;t t
     
    83148325s,@JNISUFFIX@,$JNISUFFIX,;t t
    83158326s,@JNIFLAGS@,$JNIFLAGS,;t t
    8316 s,@subdirs@,$subdirs,;t t
    83178327s,@LTLIBOBJS@,$LTLIBOBJS,;t t
    83188328CEOF
     
    89258935fi
    89268936
    8927 #
    8928 # CONFIG_SUBDIRS section.
    8929 #
    8930 if test "$no_recursion" != yes; then
    8931 
    8932   # Remove --cache-file and --srcdir arguments so they do not pile up.
    8933   ac_sub_configure_args=
    8934   ac_prev=
    8935   for ac_arg in $ac_configure_args; do
    8936     if test -n "$ac_prev"; then
    8937       ac_prev=
    8938       continue
    8939     fi
    8940     case $ac_arg in
    8941     -cache-file | --cache-file | --cache-fil | --cache-fi \
    8942     | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    8943       ac_prev=cache_file ;;
    8944     -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
    8945     | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
    8946     | --c=*)
    8947       ;;
    8948     --config-cache | -C)
    8949       ;;
    8950     -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    8951       ac_prev=srcdir ;;
    8952     -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    8953       ;;
    8954     -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    8955       ac_prev=prefix ;;
    8956     -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    8957       ;;
    8958     *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
    8959     esac
    8960   done
    8961 
    8962   # Always prepend --prefix to ensure using the same prefix
    8963   # in subdir configurations.
    8964   ac_sub_configure_args="--prefix=$prefix $ac_sub_configure_args"
    8965 
    8966   ac_popdir=`pwd`
    8967   for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
    8968 
    8969     # Do not complain, so a configure script can configure whichever
    8970     # parts of a large source tree are present.
    8971     test -d $srcdir/$ac_dir || continue
    8972 
    8973     { echo "$as_me:$LINENO: configuring in $ac_dir" >&5
    8974 echo "$as_me: configuring in $ac_dir" >&6;}
    8975     { if $as_mkdir_p; then
    8976     mkdir -p "$ac_dir"
    8977   else
    8978     as_dir="$ac_dir"
    8979     as_dirs=
    8980     while test ! -d "$as_dir"; do
    8981       as_dirs="$as_dir $as_dirs"
    8982       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    8983 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    8984      X"$as_dir" : 'X\(//\)[^/]' \| \
    8985      X"$as_dir" : 'X\(//\)$' \| \
    8986      X"$as_dir" : 'X\(/\)' \| \
    8987      .     : '\(.\)' 2>/dev/null ||
    8988 echo X"$as_dir" |
    8989     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    8990       /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    8991       /^X\(\/\/\)$/{ s//\1/; q; }
    8992       /^X\(\/\).*/{ s//\1/; q; }
    8993       s/.*/./; q'`
    8994     done
    8995     test ! -n "$as_dirs" || mkdir $as_dirs
    8996   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
    8997 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
    8998    { (exit 1); exit 1; }; }; }
    8999 
    9000     ac_builddir=.
    9001 
    9002 if test "$ac_dir" != .; then
    9003   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
    9004   # A "../" for each directory in $ac_dir_suffix.
    9005   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
    9006 else
    9007   ac_dir_suffix= ac_top_builddir=
    9008 fi
    9009 
    9010 case $srcdir in
    9011   .)  # No --srcdir option.  We are building in place.
    9012     ac_srcdir=.
    9013     if test -z "$ac_top_builddir"; then
    9014        ac_top_srcdir=.
    9015     else
    9016        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    9017     fi ;;
    9018   [\\/]* | ?:[\\/]* )  # Absolute path.
    9019     ac_srcdir=$srcdir$ac_dir_suffix;
    9020     ac_top_srcdir=$srcdir ;;
    9021   *) # Relative path.
    9022     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    9023     ac_top_srcdir=$ac_top_builddir$srcdir ;;
    9024 esac
    9025 
    9026 # Do not use `cd foo && pwd` to compute absolute paths, because
    9027 # the directories may not exist.
    9028 case `pwd` in
    9029 .) ac_abs_builddir="$ac_dir";;
    9030 *)
    9031   case "$ac_dir" in
    9032   .) ac_abs_builddir=`pwd`;;
    9033   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
    9034   *) ac_abs_builddir=`pwd`/"$ac_dir";;
    9035   esac;;
    9036 esac
    9037 case $ac_abs_builddir in
    9038 .) ac_abs_top_builddir=${ac_top_builddir}.;;
    9039 *)
    9040   case ${ac_top_builddir}. in
    9041   .) ac_abs_top_builddir=$ac_abs_builddir;;
    9042   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
    9043   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
    9044   esac;;
    9045 esac
    9046 case $ac_abs_builddir in
    9047 .) ac_abs_srcdir=$ac_srcdir;;
    9048 *)
    9049   case $ac_srcdir in
    9050   .) ac_abs_srcdir=$ac_abs_builddir;;
    9051   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
    9052   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
    9053   esac;;
    9054 esac
    9055 case $ac_abs_builddir in
    9056 .) ac_abs_top_srcdir=$ac_top_srcdir;;
    9057 *)
    9058   case $ac_top_srcdir in
    9059   .) ac_abs_top_srcdir=$ac_abs_builddir;;
    9060   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
    9061   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
    9062   esac;;
    9063 esac
    9064 
    9065 
    9066     cd $ac_dir
    9067 
    9068     # Check for guested configure; otherwise get Cygnus style configure.
    9069     if test -f $ac_srcdir/configure.gnu; then
    9070       ac_sub_configure="$SHELL '$ac_srcdir/configure.gnu'"
    9071     elif test -f $ac_srcdir/configure; then
    9072       ac_sub_configure="$SHELL '$ac_srcdir/configure'"
    9073     elif test -f $ac_srcdir/configure.in; then
    9074       ac_sub_configure=$ac_configure
    9075     else
    9076       { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
    9077 echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
    9078       ac_sub_configure=
    9079     fi
    9080 
    9081     # The recursion is here.
    9082     if test -n "$ac_sub_configure"; then
    9083       # Make the cache file name correct relative to the subdirectory.
    9084       case $cache_file in
    9085       [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
    9086       *) # Relative path.
    9087     ac_sub_cache_file=$ac_top_builddir$cache_file ;;
    9088       esac
    9089 
    9090       { echo "$as_me:$LINENO: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
    9091 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
    9092       # The eval makes quoting arguments work.
    9093       eval $ac_sub_configure $ac_sub_configure_args \
    9094        --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir ||
    9095     { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
    9096 echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
    9097    { (exit 1); exit 1; }; }
    9098     fi
    9099 
    9100     cd $ac_popdir
    9101   done
    9102 fi
    9103 
  • trunk/indexers/mgpp/configure.in

    r13625 r13698  
    4242AC_HEADER_TIME
    4343AC_STRUCT_TM
     44
     45dnl
     46dnl look for unac package if not in standard location
     47dnl
     48dnl is it ok to use `pwd` like this??
     49AC_ARG_WITH(unac, [  --with-unac=dir         Use local unac library and headers], UNAC_DIR=$withval, UNAC_DIR="`pwd`/../packages/unac")
     50AC_DEFINE_UNQUOTED(UNAC_DIR, "$UNAC_DIR")
     51AC_SUBST(UNAC_DIR)
     52
    4453
    4554dnl --- This should be in the stdc checking -----------------
     
    157166# ---------------------------------------------------------------------------
    158167
    159 AC_CONFIG_SUBDIRS(packages/unac)
    160 
    161168AC_OUTPUT([Makefile text/Makefile lib/Makefile
    162169   jni/Makefile java/org/greenstone/mgpp/Makefile],
Note: See TracChangeset for help on using the changeset viewer.